<ion-header>
  <ion-toolbar>
    <ion-segment color="primary" [(ngModel)]="segment" (ionChange)="navigate($event)">
      <ion-buttons class="px-4">
        <ion-icon class="size-25 color-primary" name="briefcase-outline"></ion-icon>
        <ion-title>{{'portfolio' | translate}}</ion-title>
      </ion-buttons>
      <span class="flex-spacer"></span>
      <ion-segment-button *ngFor="let link of links" value="{{link.value}}" layout="icon-start">
        <ion-icon class="size-icon" name="{{link.icon}}"></ion-icon>
        <ion-label class="size-label">{{link.labelKey | translate}}</ion-label>
      </ion-segment-button>
      <ion-buttons class="px-5">
        <ion-icon class="size-20 color-primary" name="language-outline"></ion-icon>
        <ion-select (ionChange)="selectLanguage($event)" okText="{{'btn.ok' | translate}}"
          cancelText="{{'btn.cancel' | translate}}" placeholder="{{'toolbar.language' | translate}}">
          <ion-select-option value="ar">{{'lang.ar' | translate}}</ion-select-option>
          <ion-select-option value="en">{{'lang.en' | translate}}</ion-select-option>
        </ion-select>
      </ion-buttons>
    </ion-segment>
  </ion-toolbar>
</ion-header>
